Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037876
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementminorhave not tried2018-02-10 15:212018-12-24 13:42
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision4ebe0a2e7d1d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037876: Delete report RptM_Movement (based on old fop, no ad_menu, not used for printing)

DescriptionThat Report is obsolete and should be removed.

a.) It is based on old fop technology
b.1) It does not have any reference to its ad_process entry ( no menu)
b.2) It is not used for printing in any tab

Trying to search for old user none could be found. Only existing tab (today) based on m_movement is tab_id = 259. Checking definition of that tab back up to 2.40MP1 did now show this specific process to be used.

c.) It does not have html gui so can only be used by other code setting id via http session (not such code could be found)
d.) No user in getAllModules download could be found
Proposed SolutionDelete it as broken for many years and never reported.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038320 closedshuehner Openbravo ERP API-Change for removal of 4 obsolete fop-related reports (RptM_Inout, RptM_Movement, RptC_Settlement, PromissoryNote) 
related to defect 0038321 closedshuehner Retail Modules Retail issue to update all 3 retail sampledata's in relation to 4 ad_process deletions in pi. 
blocks feature request 0037874 closedalostale Openbravo ERP Remove support for fop rendering from core product as very nearly not used 

-  Notes
(0102308)
shuehner (administrator)
2018-02-11 11:05

Updating report as could be used for printing, but is not
(0103792)
hgbot (developer)
2018-04-10 21:13

Repository: erp/devel/pi
Changeset: 4ebe0a2e7d1d75f8a11a3b3f8ebe216318ebec25
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat Feb 10 15:34:04 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4ebe0a2e7d1d75f8a11a3b3f8ebe216318ebec25 [^]

Fixed 37876. Remove broken & unused RptM_Movement report.

Report does not support uuid's introduced in 2.50 and nobody ever reported.
So in fact it looks not used by anybody.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpReports/RptM_Movement.fo
R src/org/openbravo/erpReports/RptM_Movement.java
R src/org/openbravo/erpReports/RptM_Movement.xml
R src/org/openbravo/erpReports/RptM_MovementLines.fo
R src/org/openbravo/erpReports/RptM_MovementLines.xml
R src/org/openbravo/erpReports/RptM_Movement_data.xsql
---
(0103823)
vmromanos (developer)
2018-04-11 17:01

Code review OK

- Issue History
Date Modified Username Field Change
2018-02-10 15:21 shuehner New Issue
2018-02-10 15:21 shuehner Assigned To => shuehner
2018-02-10 15:21 shuehner Modules => Core
2018-02-10 15:21 shuehner Triggers an Emergency Pack => No
2018-02-10 15:21 shuehner Relationship added blocks 0037874
2018-02-11 11:05 shuehner Note Added: 0102308
2018-02-11 11:05 shuehner Type defect => feature request
2018-02-11 11:05 shuehner Summary 0037875: Delete report RptM_Movement (does not support uuids, based on old fop, no ad_menu) => 0037875: Delete report RptM_Movement (based on old fop, no ad_menu, not used for printing)
2018-02-11 11:05 shuehner Description Updated View Revisions
2018-02-11 11:05 shuehner Steps to Reproduce Updated View Revisions
2018-04-10 21:00 shuehner Relationship added related to 0038320
2018-04-10 21:04 shuehner Relationship added related to 0038321
2018-04-10 21:13 hgbot Checkin
2018-04-10 21:13 hgbot Note Added: 0103792
2018-04-10 21:13 hgbot Status new => resolved
2018-04-10 21:13 hgbot Resolution open => fixed
2018-04-10 21:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4ebe0a2e7d1d75f8a11a3b3f8ebe216318ebec25 [^]
2018-04-10 21:18 shuehner Review Assigned To => vmromanos
2018-04-11 17:01 vmromanos Note Added: 0103823
2018-04-11 17:01 vmromanos Status resolved => closed
2018-04-11 17:01 vmromanos Fixed in Version => 3.0PR18Q3
2018-12-24 13:42 alostale Relationship added blocks 0039848
2018-12-24 13:42 alostale Summary 0037875: Delete report RptM_Movement (based on old fop, no ad_menu, not used for printing) => Delete report RptM_Movement (based on old fop, no ad_menu, not used for printing)


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker